> ## Documentation Index
> Fetch the complete documentation index at: https://docs.penciled.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Agents

> Gets the agents associated to the user's organization



## OpenAPI

````yaml GET /v1/agents
openapi: 3.0.1
info:
  title: Penciled API
  description: Penciled - Generative Voice AI Agents for Healthcare
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.penciled.com
security:
  - bearerAuth: []
paths:
  /v1/agents:
    get:
      description: Gets the agents associated to the user's organization
      parameters: []
      responses:
        '200':
          description: List of agent ids
          content:
            application/json:
              schema:
                type: object
                properties:
                  agent_ids:
                    type: array
                    items:
                      type: string
                    example:
                      - 991b6987-297d-4c94-b700-ab6e51eef955
                      - 0a831269-388d-477b-a8df-a8e69eb613c0
                      - 0a831269-388d-477b-a8df-a8e69eb613c0
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````